Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(42)

Issue 7885002: Added support for KDE file dialogs. (Closed)

Created:
7 years, 8 months ago by dfilimon
Modified:
7 years, 4 months ago
CC:
chromium-reviews, Evan Stade
Visibility:
Public.

Description

Added support for KDE file dialogs. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=101453

Patch Set 1 #

Patch Set 2 : '' #

Patch Set 3 : '' #

Total comments: 10

Patch Set 4 : '' #

Patch Set 5 : '' #

Patch Set 6 : '' #

Patch Set 7 : '' #

Patch Set 8 : '' #

Patch Set 9 : '' #

Total comments: 4

Patch Set 10 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+420 lines, -0 lines) Patch
M chrome/browser/ui/gtk/dialogs_common.h View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/gtk/dialogs_common.cc View 1 2 3 4 5 6 7 8 9 2 chunks +9 lines, -0 lines 0 comments Download
A chrome/browser/ui/gtk/dialogs_kde.cc View 1 2 3 4 5 6 7 8 9 1 chunk +405 lines, -0 lines 0 comments Download
M chrome/chrome_browser.gypi View 1 2 3 4 5 3 chunks +3 lines, -0 lines 0 comments Download

Messages

Total messages: 16 (0 generated)
Evan Martin
Hey Linux dudes, I've been reviewing dfilimon's patches and this one looks pretty much perfect ...
7 years, 8 months ago (2011-09-13 19:02:27 UTC) #1
dfilimon
There is one issue I'd like to point out that I'm unsure how to deal ...
7 years, 8 months ago (2011-09-13 19:05:57 UTC) #2
dfilimon
I should also mention that the index doesn't seem to affect the functionality of the ...
7 years, 8 months ago (2011-09-13 22:12:59 UTC) #3
dfilimon
Ping? Anyone? :)
7 years, 8 months ago (2011-09-14 03:09:04 UTC) #4
Mike Mammarella
Sorry, was at a conference today. This is neat; KDE folks will appreciate it I'm ...
7 years, 8 months ago (2011-09-14 06:42:23 UTC) #5
dfilimon
This includes the patch to fix the SIGSEGV because I can't figure out how to ...
7 years, 8 months ago (2011-09-14 22:06:08 UTC) #6
dfilimon
This version (#9) has the refactoring Mike suggested, making sure that the mime type string ...
7 years, 8 months ago (2011-09-15 01:52:02 UTC) #7
dfilimon
Sorry for becoming annoying, but... Ping?
7 years, 8 months ago (2011-09-15 19:54:42 UTC) #8
Evan Martin
LGTM, feel free to fix these suggestions and land it I worry that the dialog ...
7 years, 8 months ago (2011-09-15 20:53:37 UTC) #9
dfilimon
Okay, I've fixed the issues and am committing. http://codereview.chromium.org/7885002/diff/6015/chrome/browser/ui/gtk/dialogs_common.h File chrome/browser/ui/gtk/dialogs_common.h (right): http://codereview.chromium.org/7885002/diff/6015/chrome/browser/ui/gtk/dialogs_common.h#newcode15 chrome/browser/ui/gtk/dialogs_common.h:15: #include ...
7 years, 8 months ago (2011-09-15 21:58:14 UTC) #10
Mike Mammarella
LGTM, sorry for delay, was travelling after the conference.
7 years, 8 months ago (2011-09-15 23:24:46 UTC) #11
commit-bot: I haz the power
Change committed as 101453
7 years, 8 months ago (2011-09-16 04:41:52 UTC) #12
Mike Mammarella
So I just gave this a try and noticed that at least for me, KDialog ...
7 years, 8 months ago (2011-09-16 23:13:51 UTC) #13
dfilimon
On 2011/09/16 23:13:51, Mike Mammarella wrote: > So I just gave this a try and ...
7 years, 8 months ago (2011-09-16 23:15:40 UTC) #14
Mike Mammarella
On 2011/09/16 23:15:40, dfilimon wrote: > On 2011/09/16 23:13:51, Mike Mammarella wrote: > > So ...
7 years, 8 months ago (2011-09-17 01:28:54 UTC) #15
TheKro
7 years, 4 months ago (2012-01-11 10:41:20 UTC) #16
Since this update, there is no longer the option to save a website with the
"save as full webpage" option.  See
http://code.google.com/p/chromium/issues/detail?id=40060#c46

Powered by Google App Engine
This is Rietveld 408576698